Bug 17629 - Koha::Biblio - Remove ModBiblioframework
Summary: Koha::Biblio - Remove ModBiblioframework
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 17628
  Show dependency treegraph
 
Reported: 2016-11-15 11:10 UTC by Jonathan Druart
Modified: 2017-12-07 22:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17629: Koha::Biblio - Remove ModBiblioframework (3.26 KB, patch)
2016-11-15 11:11 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17629: Koha::Biblio - Remove ModBiblioframework (2.03 KB, patch)
2016-12-05 12:15 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17629: Koha::Biblio - Remove ModBiblioframework (2.08 KB, patch)
2016-12-05 14:48 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 17629: Koha::Biblio - Remove ModBiblioframework (2.18 KB, patch)
2017-01-06 08:45 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-11-15 11:10:27 UTC
There is only one call to C4::Biblio::ModBiblioframework, it's called just before C4::Biblio::ModBiblio in cataloguing/addbiblio.pl
At first glance this call does not seems useful: all the subroutines called from ModBiblio send the frameworkcode in parameter.

I'd go to remove it, but I'd like to get confirmation by others.
Comment 1 Jonathan Druart 2016-11-15 11:11:59 UTC
Created attachment 57487 [details] [review]
Bug 17629: Koha::Biblio - Remove ModBiblioframework

There is only one call to C4::Biblio::ModBiblioframework, it's called
just before C4::Biblio::ModBiblio in cataloguing/addbiblio.pl
At first glance this call does not seems useful: all the subroutines
called from ModBiblio send the frameworkcode in parameter.

I'd go to remove it, but I'd like to get confirmation by others.

No test plan here, you need a good pair of eyes and deep into the
C4::Biblio code.
Comment 2 Jonathan Druart 2016-12-05 12:15:24 UTC
Created attachment 57955 [details] [review]
Bug 17629: Koha::Biblio - Remove ModBiblioframework

There is only one call to C4::Biblio::ModBiblioframework, it's called
just before C4::Biblio::ModBiblio in cataloguing/addbiblio.pl
At first glance this call does not seems useful: all the subroutines
called from ModBiblio send the frameworkcode in parameter.

I'd go to remove it, but I'd like to get confirmation by others.

No test plan here, you need a good pair of eyes and deep into the
C4::Biblio code.
Comment 3 Nick Clemens 2016-12-05 14:48:09 UTC
Created attachment 57970 [details] [review]
Bug 17629: Koha::Biblio - Remove ModBiblioframework

There is only one call to C4::Biblio::ModBiblioframework, it's called
just before C4::Biblio::ModBiblio in cataloguing/addbiblio.pl
At first glance this call does not seems useful: all the subroutines
called from ModBiblio send the frameworkcode in parameter.

I'd go to remove it, but I'd like to get confirmation by others.

No test plan here, you need a good pair of eyes and deep into the
C4::Biblio code.

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Nick Clemens 2016-12-05 14:49:52 UTC
Framework is updated in at least two other subs, the framework is passed in to the subs and not pulled from the record so I don't see any problem with not updating it first.

Editing a record works, updating framework works.
Comment 5 Marcel de Rooy 2017-01-06 08:45:07 UTC
Created attachment 58625 [details] [review]
Bug 17629: Koha::Biblio - Remove ModBiblioframework

There is only one call to C4::Biblio::ModBiblioframework, it's called
just before C4::Biblio::ModBiblio in cataloguing/addbiblio.pl
At first glance this call does not seems useful: all the subroutines
called from ModBiblio send the frameworkcode in parameter.

I'd go to remove it, but I'd like to get confirmation by others.

No test plan here, you need a good pair of eyes and deep into the
C4::Biblio code.

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Kyle M Hall 2017-01-13 12:36:29 UTC
Pushed to master for 17.05, thanks Jonathan!
Comment 7 Katrin Fischer 2017-01-15 18:47:46 UTC
This won't get ported back to 16.11.x as it is an enhancement.